#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n];
    double prom;
    double p[n];
    double z[n];

    for(int i = 0;i < n;i++)
        cin >> a[i] >> p[i];



    for(int i = 0;i < n;i++){
        prom = p[i];
        for(int j = 0;j < n;j++){
            if(p[j] >= prom)
                z[i] += a[j] * prom /100;}
    }

   double maxz = z[0];
    for(int i = 1;i < n;i++)
        if(z[i] > maxz)
        maxz = z[i];

    printf("%0.3f", maxz);
    return 0;
}